Agent Terminals
List owned persisted browser recordings after a session has ended
List owned persisted browser recordings after a session has ended. The request requires an authenticated caller and enforces terminal ownership, access grants, and activity visibility.
GET
/
api
/
v1
/
agents
/
terminals
/
{agentTerminalId}
/
browser-recordings
List owned persisted browser recordings after a session has ended
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-recordings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"storageEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"size": 123,
"mimeType": "video/webm"
}
],
"next": true
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
⌘I
List owned persisted browser recordings after a session has ended
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-recordings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"storageEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"size": 123,
"mimeType": "video/webm"
}
],
"next": true
}
